Tag: android gradle

Comment configurer severityOverrides dans lintOptions?

J'ai un projet Android définissant buildscript { repositories { jcenter() } dependencies { // Android plugin for gradle // http://google.github.io/android-gradle-dsl classpath 'com.android.tools.build:gradle:1.5.0' // … Dans mon application, je souhaite configurer android { // … lintOptions { // http://google.github.io/android-gradle-dsl/1.5/com.android.build.gradle.internal.dsl.LintOptions.html#com.android.build.gradle.internal.dsl.LintOptions:severityOverrides severityOverrides { ["MissingTranslation": "warning"] } // … Mais j'ai l'erreur Erreur: (34, 0) Méthode DSL Gradle introuvable: […]

Les dépendances fournies ne peuvent être que des pots

J'ai un projet Android dans Android Studio, tout fonctionnait auparavant la dernière fois que je l'utilisais. Cependant, j'ai mis à niveau Android Studio et maintenant j'ai un problème étrange. Dans la sortie d'erreur dans Android Studio, j'ai le suivant: Warning: Project MyApp: provided dependencies can only be jars. com.google.android.gms:play-services.6.5.87 is an Android Library Warning: Project […]

Android Gradle fusionné Values.xml utilise un espace de noms erroné

Dans le processus de conversion d'un projet vers le système de construction Android, je reçois cette erreur chaque fois que je tente de compiler. Gradle: Error parsing XML: prefix must not be bound to one of the reserved namespace names Le fichier values.xml fusionné contient l'élément racine suivant: <resources xmlns:ns1="http://www.w3.org/2000/xmlns/"> Quelle est la cause de […]

Comment mettre mes bibliothèques devant android.jar en éditant build.gradle dans Android-Studio

Voici mon chemin de construction Java dans Eclipse: Ces fichers commun.jar, core.jar, framework.jar, layout.jar 'de quatre jars sont emballés à partir du code source Android, qui contient certaines classes qui ne peuvent pas être utilisées publiquement par le développeur. Elles ne doivent pas être exportées car elles Sont pour compilateur de triche. Dans Eclipse, tout […]

Android Studio: Gradle Product Flavors: Définissez des propriétés personnalisées

Je développe différents produits d'une application Android dans Gradle (Android Studio). Par conséquent, j'ai défini les arômes de produits suivants: android { project.ext.set("customer", "") project.ext.set("server", "") //Configuration happens here – code removed for readability buildTypes { debug { server = "test" } release { server = "release" } } //Available product flavors productFlavors { customerA{ […]

Impossible d'ajouter AndEngine à Android Studio

Je tente presque 2 jours d'ajouter AndEngine à Android Studio mais pas capable de le faire. J'ai essayé les deux méthodes suivantes, et je n'ai pas travaillé. 1er essai Je télécharge le code AndEngine de GitHub Link – ce n'est PAS un projet Gradle Et j'ai essayé de l'ajouter à mon studio Android build.gradle et […]

Impossible d'ajouter ViewPagerIndicator à l'application avec Gradle

J'essaie d'ajouter la bibliothèque Jack Whartons ViewPagerIndicator https://github.com/JakeWharton/ViewPagerIndicator à mon application car je veux utiliser l'indicateur de cercle pour le programme de visualisation que j'ai. Cependant, j'ai du mal à l'ajouter à mon application. J'ai suivi ce tutoriel – Utilisation de la bibliothèque ViewPagerIndicator avec Android Studio et Gradle Cependant, je reçois cette erreur Error:Artifact […]

Android peer non authentifié

Tout a fonctionné, seulement aujourd'hui, j'ai commencé à recevoir un message d'erreur et je ne peux même pas "Synchroniser le projet avec les fichiers Gradle" d'Android Studio. La seule chose que j'ai changé était … le bureau: D Erreur: Un problème s'est produit lors de la configuration du projet ': application'. Impossible de télécharger library.jar […]

Android Studio 3.0 Beta 1: Impossible de résoudre: com.android.support:multidex:1.0.2

Après avoir migré de Android Studio 3.0 (Canary 5) vers Android Studio 3.0 (Beta 1), et en passant au dernier gradle, c'est-à-dire 'com.android.tools.build:gradle:3.0.0-beta1' Lorsque j'essaie de synchroniser gradle, c'est une erreur indiquant ci-dessous. Failed to resolve: com.android.support:multidex:1.0.2 Failed to resolve: com.android.support:multidex-instrumentation:1.0.2 Je vérifie Android Studio 3.0 Canary 9 – Impossible de résoudre les paquets , […]

Mise à niveau du projet sur Android Studio 1.0 (problèmes de Gradle)

Juste pour commencer, je suis très nouveau dans Android android development / android studio / gradle, pardonnez-moi si je pose une question stupide. Mon équipe a travaillé sur un projet avec la version bêta du studio Android, je viens d'installer la nouvelle version (1.0) et j'ai importé notre projet à partir du compte à distance […]

coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.